<?xml version="1.0" encoding="UTF-8"?>
<xsd:schema xmlns="http://www.irs.gov/efile" xmlns:xsd="http://www.w3.org/2001/XMLSchema" targetNamespace="http://www.irs.gov/efile" elementFormDefault="qualified" attributeFormDefault="unqualified" version="1.0">

	<xsd:annotation>
		<xsd:documentation>
			<Description>IRS e-file Schema - Annual Recapture Revocable Election Statement</Description>
			<TaxYear>2018</TaxYear>
			<MaturityLevel>Final Release</MaturityLevel>
			<ReleaseDate>October 17, 2018</ReleaseDate>
		</xsd:documentation>
	</xsd:annotation>

	<xsd:include schemaLocation="../../../Common/efileTypes.xsd"/>


	<!-- ============================================================ -->
	<!-- ======= Annual Recapture Revocable Election Statement ====== -->
	<!-- ============================================================ -->


	<xsd:element name="AnnlRcptrRevocableElectionStmt">
		<xsd:annotation>
			<xsd:documentation>Annual recapture revocable election statement</xsd:documentation>
		</xsd:annotation>
		<xsd:complexType>
			<xsd:complexContent>
				<xsd:extension base="AnnlRcptrRevocableElectStmtTyp">
					<xsd:attributeGroup ref="DocumentAttributes">
						<xsd:annotation>
							<xsd:documentation>Common return document attributes</xsd:documentation>
						</xsd:annotation>
					</xsd:attributeGroup>
					<xsd:attribute name="documentName" type="xsd:string" fixed="AnnualRecaptureRevocableElectionStatement">
						<xsd:annotation>
							<xsd:documentation>IRS internal use only. To avoid error in the return, do not include the attribute name or value.</xsd:documentation>
						</xsd:annotation>
					</xsd:attribute>
				</xsd:extension>
			</xsd:complexContent>
		</xsd:complexType>
	</xsd:element>

	<xsd:complexType name="AnnlRcptrRevocableElectStmtTyp">
		<xsd:annotation>
			<xsd:documentation>Content model for annual recapture revocable election statement</xsd:documentation>
		</xsd:annotation>
		<xsd:sequence>

			<!-- Annual Recapture Revocable Info -->
			<xsd:element name="AnnualRecaptureRevocableInfo" type="AnnualRecaptureRevocableInfoType" minOccurs="0" maxOccurs="unbounded">
				<xsd:annotation>
					<xsd:documentation>
						<Description>Annual Recapture Revocable Info</Description>
					</xsd:documentation>
				</xsd:annotation>
			</xsd:element>

		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="AnnualRecaptureRevocableInfoType">
		<xsd:annotation>
			<xsd:documentation>Content model for Annual Recapture Revocable Info</xsd:documentation>
		</xsd:annotation>
		<xsd:sequence>

			<!-- Category of Recapture of Overall Foreign Losses -->
			<xsd:element name="RecaptureCategoryDesc" type="LineExplanationType" minOccurs="0">
				<xsd:annotation>
					<xsd:documentation>
						<Description>Category of Recapture of Overall Foreign Losses</Description>
					</xsd:documentation>
				</xsd:annotation>
			</xsd:element>

			<!-- Percentage of the Separate Limitation Income Category that is Treated as U.S. Source Income -->
			<xsd:element name="SeparateLimitationIncomeRt" type="RatioType" minOccurs="0">
				<xsd:annotation>
					<xsd:documentation>
						<Description>Percentage of the separate limitation income category that is treated as U.S. source income</Description>
					</xsd:documentation>
				</xsd:annotation>
			</xsd:element>

			<!-- Amount of the Separate Limitation Income Category that is Treated as U.S. Source Income -->
			<xsd:element name="SeparateLimitationIncomeAmt" type="USAmountType" minOccurs="0">
				<xsd:annotation>
					<xsd:documentation>
						<Description>Amount of the separate limitation income category that is treated as U.S. source income</Description>
					</xsd:documentation>
				</xsd:annotation>
			</xsd:element>

			<!-- Percentage of the Balance (Before Recapture) in the Overall Foreign Loss Account that is Recaptured -->
			<xsd:element name="BalanceBeforeRecaptureRt" type="RatioType" minOccurs="0">
				<xsd:annotation>
					<xsd:documentation>
						<Description>Percentage of the balance (before recpature) in the overall foreign loss Account that is recaptured</Description>
					</xsd:documentation>
				</xsd:annotation>
			</xsd:element>

			<!-- Amount of the Balance (Before Recapture) in the Overall Foreign Loss Account that is Recaptured -->
			<xsd:element name="BalanceBeforeRecaptureAmt" type="USAmountType" minOccurs="0">
				<xsd:annotation>
					<xsd:documentation>
						<Description>Amount of the balance (before recpature) in the overall foreign loss Account that is recaptured</Description>
					</xsd:documentation>
				</xsd:annotation>
			</xsd:element>

			<!-- Percentage of the Balance (After Recapture) in the Overall Foreign Loss Account that is Recaptured -->
			<xsd:element name="BalanceAfterRecaptureRt" type="RatioType" minOccurs="0">
				<xsd:annotation>
					<xsd:documentation>
						<Description>Percentage of the balance (after recpature) in the overall foreign loss Account that is recaptured</Description>
					</xsd:documentation>
				</xsd:annotation>
			</xsd:element>

			<!-- Amount of the Balance (After Recapture) in the Overall Foreign Loss Account that is Recaptured -->
			<xsd:element name="BalanceAfterRecaptureAmt" type="USAmountType" minOccurs="0">
				<xsd:annotation>
					<xsd:documentation>
						<Description>Amount of the balance (after recpature) in the overall foreign loss Account that is recaptured</Description>
					</xsd:documentation>
				</xsd:annotation>
			</xsd:element>

		</xsd:sequence>
	</xsd:complexType>

</xsd:schema>
